org.gnome.gtk

## Class RegionFlags

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.RegionFlags

-     public final class RegionFlags
      extends org.freedesktop.bindings.Constant

  Describe a region within a widget.
  Since:
    4.1.2
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RegionFlags` | `EVEN` Region has an even number within a set.
    `static RegionFlags` | `FIRST` Region is the first one within a set.
    `static RegionFlags` | `LAST` Region is the last one within a set.
    `static RegionFlags` | `NULL` This is a constant specific to the binding in order to make the return value of `StyleContext.hasRegion(StyleRegion)` consistent even if the context doesn't contain the given `StyleRegion`.
    `static RegionFlags` | `ODD` Region has an odd number within a set.
    `static RegionFlags` | `SORTED` Region is part of a sorted area.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVEN

          public static final RegionFlags EVEN

      Region has an even number within a set.

    - #### FIRST

          public static final RegionFlags FIRST

      Region is the first one within a set.

    - #### LAST

          public static final RegionFlags LAST

      Region is the last one within a set.

    - #### NULL

          public static final RegionFlags NULL

      This is a constant specific to the binding in order to make the return value of `StyleContext.hasRegion(StyleRegion)` consistent even if the context doesn't contain the given `StyleRegion`.

    - #### ODD

          public static final RegionFlags ODD

      Region has an odd number within a set.

    - #### SORTED

          public static final RegionFlags SORTED

      Region is part of a sorted area.